### Method

# Vips Image jxlsave_buffer

#### Declaration [src]

    int
    vips_jxlsave_buffer (
      VipsImage* in,
      void** buf,
      size_t* len,
      ...
    )

#### Description [src]

As `vips_jxlsave()`, but save to a memory buffer.

Optional arguments

- `tier`: `gint`, decode speed tier
- `distance`: `gdouble`, maximum encoding error
- `effort`: `gint`, encoding effort
- `lossless`: `gboolean`, enables lossless compression
- `Q`: `gint`, quality setting

See also

`vips_jxlsave()`, `vips_image_write_to_target()`.

This method is not directly available to language bindings.

#### Parameters

`buf`

  Type: An array of `guint8`

  Return output buffer here.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the method.

`len`

  Type: `size_t*`

  Return output length here.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.